### Mobile Notification Behaviour Dataset

The dataset represents notification-related behaviour of 19 users over two weeks.
The data contains notification ID, time of arrival, response time, and a user's reaction (clicked, removed),
as well as the sensor data, including a user's semantic location (home/work/other),
acceleration-related features, physical activity, battery level, light, proximity,
screen activity, volume, and bluetooth and WiFi environment information.

Please cite: [A. Cuculoski and V. Pejovic, Trading Energy for Accuracy in Mobile Interruptiblity inference,
Ubittention workshop with ACM UbiComp'20, September 2020](http://lrss.fri.uni-lj.si/Veljko/docs/Cuculoski20EEInterrupt.pdf)
if using this data.

The data is stored in tab-delimited files, structure of which is as follows:

## Notifications (Change)

 - device_id - UID generated for each device
 - notification_id - UID generated for each notification
 - notification_from - UID of the notification when it arrived (posted), only removed notifications (swiped or clicked) have a value in this field 
 - date - datetime when the notification arrived/removed in Unix time in miliseconds
 - response_time - time it took the user to respond to a notification in miliseconds
 - action - The type of notification: posted, clicked, removed

## Accelerometer

 - device_id - UID generated for each device
 - notification_id - UID generated for each notification
 - mean_crossing_rate
 - variance
 - peak - spectral peak
 - mean
 - energy1 - B1 the sub-band energy from (0-1] Hz
 - energy2 - B2 the sub-band energy from (1-3] Hz
 - energy3 - B3 the sub-band energy from (3-5] Hz
 - energy4 - B4 the sub-band energy from (5-16] Hz
 - energy_ratio1 - sub-band ratios between B1 and B2
 - energy_ratio2 - sub-band ratios between B3 and B4
 - energy_ratio3 - sub-band ratios between B1 U B2 and B3 U B4
 - spectral_entropy

## Activity

 - device_id - UID generated for each device
 - notification_id - UID generated for each notification
 - activity - type of activity

## Battery

 - device_id - UID generated for each device
 - notification_id - UID generated for each notification
 - battery - battery status using [BatteryManager](https://developer.android.com/reference/android/os/BatteryManager#BATTERY_STATUS_CHARGING)

## Bluetooth

 - device_id - UID generated for each device
 - notification_id - UID generated for each notification
 - name - discovered Bluetooth name

## Light

 - device_id - UID generated for each device
 - notification_id - UID generated for each notification
 - light - lux value

## Location

 - device_id - UID generated for each device
 - notification_id - UID generated for each notification
 - location- user's location (Home, Work, Other)

## Proximity

 - device_id - UID generated for each device
 - notification_id - UID generated for each notification
 - prox - proximity value (0 covered, 1 uncovered)

## Screen

 - device_id - UID generated for each device
 - notification_id - UID generated for each notification
 - screen - screen status (Locked, Unlocked)

## Volume

 - device_id - UID generated for each device
 - notification_id - UID generated for each notification
 - volume- volume status ( 0 - ringer mode, 1 - vibration, 2 - silent, 4 - DND) 

## WiFi

 - device_id - UID generated for each device
 - notification_id - UID generated for each notification
 - ssid - discovered WiFi name


